Name:           sudoku-savant
Version:        1.3
Release:        13%{?dist}
Summary:        Solve and generate sudoku puzzles through logical means
Summary(de):    Lösen und Erstellen von Sudoku-Puzzles mit logischen Mitteln

Group:          Amusements/Games
# Impossible to figure out the actual license in the sources.
# Upstream bug: https://sourceforge.net/tracker/?func=detail&aid=3272054&group_id=172187&atid=860784
License:        GPL+
URL:            http://sourceforge.net/projects/%{name}/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        sudoku-savant-icons.txz

# Patch is taken from the Opensuse package.
# Without it, "make" cannot install the icons and the *.desktop file
# into buildroot and tries to use the real system folders instead.
# Upstream bug: https://sourceforge.net/tracker/?func=detail&aid=3294399&group_id=172187&atid=860784
Patch0:         %{name}-Makefile.patch
Patch1:         %{name}-aarch64.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel

%description
A simple GUI-driven application to solve and generate sudoku puzzles through
logical means. Also supports manual solving, with pencil marks and cell
coloring. Should be able to solve any standard sudoku from a newspaper
or magazine.

%description -l de
Eine einfache grafische Anwendung zum Lösen und Erstellen von Sudoku-Puzzles
mit logischen Mitteln. Das manuelle Lösen wird ebenfalls unterstützt, mit
Hilfe von Markierungen und Einfärben der Felder. Es sollte möglich sein, jedes
Standard-Sudoku aus Zeitungen oder Zeitschriften zu lösen.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

cp -a %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

install -dm 755 %{buildroot}%{_datadir}/icons/hicolor
tar xJ --directory=%{buildroot}%{_datadir}/icons/hicolor < %{name}-icons.txz

%find_lang %{name}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%exclude %{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Oct 30 2014 Jaromir Capik <jcapik@redhat.com> - 1.3-13
- Creating a set of icons for gnome software centre (#1157578)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 08 2013 Jaromir Capik <jcapik@redhat.com> - 1.3-9
- aarch64 support (#926580)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.3-4
- Rebuild for new libpng


* Thu Apr 28 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.3-3
- Added comments to the patches, including links to upstream bugs.

* Wed Apr 27 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.3-2
- Changed license
- Removed unneeded clearing statement for buildroot
- Dropped the icon scriptlets
- Dropped INSTALL from the file list
- Dropped gcc-c++ from BuildRequires

* Sat Apr 02 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.3-1
- initial package
